package com.fzm.mall.customer.service.customer.entity.dto;

import com.fzm.mall.customer.service.customer.model.Group;
import com.fzm.mall.customer.service.customer.model.Message;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wulixian
 * @since 2021/4/7
 */
@Data
public class CustomerDTO implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "聊天组")
    private Group group;

    @ApiModelProperty(value = "聊天组内信息")
    private List<Message> messageList;
}
