package com.fzm.mall.midea.pay.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author tangtuo
 * @date 2021/5/27 16:28
 */
@Data
@ApiModel(value = "确认收货接口响应参数")
public class TradePayReceiveResponse extends BaseResponse {

    @ApiModelProperty(value = "商户B2C交易订单号")
    private String out_trade_no;

    /**
     * 确认收货状态：
     * RECEIVED：已确认收货
     * UNRECEIVED：未确认收货
     */
    @ApiModelProperty(value = "确认收货状态")
    private String product_recv_status;

    @ApiModelProperty(value = "确认收货时间，格式为yyyyMMddHHmmss")
    private String product_recv_time;
}
