package com.fzm.mall.midea.pay.model;

import lombok.Data;

/**
 * @author tangtuo
 * @date 2021/5/26 9:58
 */
@Data
public class WechatPayTradeResponse extends BaseResponse{

    /**
     * 扫码支付：返回二维码图片地址
     * <p>
     * 微信app支付：返回的json数据，包含支持的服务和token_id
     * <p>
     * 公众号/小程序支付：返回json传，使用微信原生方法调用
     */
    private String weixin_url;

}
