package com.fzm.mall.midea.pay.params;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author tangtuo
 * @date 2021/5/27 16:25
 */
@Data
@ApiModel(value = "确认收货接口请求参数")
public class TradePayReceiveParam extends BaseParam{

    @NotBlank(message = "商户B2C交易订单号不能为空")
    @ApiModelProperty(value = "商户B2C交易订单号")
    private String out_trade_no;

    @ApiModelProperty(value = "分润参数")
    private String profit_params;
}
