package com.fzm.mall.server.admin.distribution.entity.dto;

import com.fzm.mall.server.admin.distribution.model.DictCnProvince;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *
 * </p>
 *
 * @author wulixian
 * @since 2021-04-06
 */
@Data
@ApiModel(value = "DictCnProvince对象", description = "")
public class DictCnProvinceDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "所属区域(华东,华南,华中,华北,西南,西北,东北)")
    private String region;

    @ApiModelProperty(value = "所属区域的省份集合")
    private List<DictCnProvince> provinceList;
}
