package com.fzm.mall.server.admin.distribution.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fzm.mall.server.admin.distribution.model.Company;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 物流中心-快递公司 Mapper 接口
 * </p>
 *
 * @author wulixian
 * @since 2021-03-03
 */
@Mapper
public interface CompanyMapper extends BaseMapper<Company> {

    Company read(@Param("companyId") String companyId,
                 @Param("merchantId") String merchantId);

    List<Company> list(@Param("merchantId") String merchantId);
}
