package com.fzm.mall.server.admin.distribution.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fzm.mall.server.admin.distribution.model.Template;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 物流中心-运费模板 Mapper 接口
 * </p>
 *
 * @author wulixian
 * @since 2021-03-04
 */
@Mapper
public interface TemplateMapper extends BaseMapper<Template> {

    Template read(@Param("templateId") String templateId, @Param("merchantId") String merchantId);

    List<Template> list(@Param("merchantId") String merchantId);

}
