package com.fzm.mall.server.admin.distribution.model;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 物流中心-包裹中心
 * </p>
 *
 * @author wulixian
 * @since 2021-03-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class ParcelCenterGoods implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 商品名称
     */
    private String name;

    /**
     * 规格数量
     */
    private Integer number;

    /**
     * 规格缩略图
     */
    private String thumb;

    /**
     * 属性值
     */
    private String propVal;

    /**
     * 单价
     */
    private BigDecimal amount;

    /**
     * 规格编号
     */
    private String skuId;

    /**
     * 属性集合
     */
    private List<String> propValList;

}
