package com.fzm.mall.server.admin.distribution.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.admin.distribution.entity.dto.ParcelCenterDTO;
import com.fzm.mall.server.admin.distribution.model.ParcelCenter;

/**
 * <p>
 * 物流中心-包裹中心 服务类
 * </p>
 *
 * @author wulixian
 * @since 2021-03-03
 */
public interface IParcelCenterService extends IService<ParcelCenter> {

    ParcelCenterDTO read(String orderDeliveryId);

    IPage<ParcelCenterDTO> page(Page<ParcelCenterDTO> page, String packageNum, String uid, String orderDeliveryId, Integer deliveryState, String merchantId);
}
