package com.fzm.mall.server.admin.exception;

/**
 * @author wangp
 * @description 自定义异常
 * @date 2020/8/31 18:03
 */
public class MyException extends RuntimeException {

    private String code;
    private Object msg;

    public MyException(String code) {
        this.code = code;
    }

    public MyException(String code, Object msg) {
        this.code = code;
        this.msg = msg;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Object getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
