package com.fzm.mall.server.admin.finance_center.entity.vo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @author wangp
 * @date 2021/5/10 16:53
 * @description 商户资产流水
 * @since JDK 1.8
 */
@Data
public class MerchantAssetsFlowVO {

    private String flowId;
    private String merchantId;
    private String loginAccount;
    private String assetsType;
    private BigDecimal amount;
    private String otherSide;
    private Integer type;
    private Integer status;
    private Long createTime;

}
