package com.fzm.mall.server.admin.finance_center.entity.vo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @author wangp
 * @date 2021/5/10 18:04
 * @description 商户资产
 * @since JDK 1.8
 */
@Data
public class MerchantAssetsVO {

    private String merchantId;
    private String loginAccount;
    private String merchantName;
    private String account;
    private String assetsType;
    private BigDecimal amount;
    private BigDecimal frozen;
    private Long updateTime;

}
