package com.fzm.mall.server.admin.finance_center.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.fzm.mall.server.admin.finance_center.entity.vo.MerchantAssetsFlowVO;
import com.fzm.mall.server.admin.finance_center.entity.vo.PlatformAssetsFlowVO;
import com.fzm.mall.server.admin.finance_center.model.MerchantAssetsFlow;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * @author wangp
 * @date 2021/4/27 10:44
 * @description Mapper 接口
 * @since JDK 1.8
 */
@Mapper
public interface MerchantAssetsFlowMapper extends BaseMapper<MerchantAssetsFlow> {
    IPage<MerchantAssetsFlowVO> page(IPage<MerchantAssetsFlowVO> page, String flowId, String merchantId, String coin, Integer type);
}
