package com.fzm.mall.server.admin.finance_center.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.fzm.mall.server.admin.finance_center.entity.vo.IntegralListVO;
import com.fzm.mall.server.admin.finance_center.entity.vo.MerchantAssetsVO;
import com.fzm.mall.server.admin.finance_center.model.MerchantAssets;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * @author wangp
 * @date 2021/4/27 15:53
 * @description Mapper 接口
 * @since JDK 1.8
 */
@Mapper
public interface MerchantAssetsMapper extends BaseMapper<MerchantAssets> {
    IPage<MerchantAssetsVO> page(IPage<MerchantAssetsVO> page, String merchantId, String account, String type);
}
