package com.fzm.mall.server.admin.finance_center.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.fzm.mall.server.admin.finance_center.entity.vo.UserAssetsVO;
import com.fzm.mall.server.admin.finance_center.model.UserAsset;
import org.apache.ibatis.annotations.Mapper;

/**
 * @author wangp
 * @date 2021/4/27 15:53
 * @description 用户资产信息表 Mapper 接口
 * @since JDK 1.8
 */
@Mapper
public interface UserAssetMapper extends BaseMapper<UserAsset> {
    IPage<UserAssetsVO> page(IPage<UserAssetsVO> page, String uid, String account, String type);
}
