package com.fzm.mall.server.admin.goods_center.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author wangp
 * @date 2021/8/30 14:44
 * @description 打包
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "packageDTO", description = "打包")
public class PackageDTO {

    @ApiModelProperty("商品价格")
    private BigDecimal price;

    @ApiModelProperty("打包资源---[{\"skuId\":xxx,\"number\":50},{\"skuId\":yyy,\"number\":30}]")
    private String resource;

    @ApiModelProperty("库存")
    private Long stock;
}
