package com.fzm.mall.server.admin.goods_center.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wangp
 * @date 2021/3/15 14:56
 * @description 积分兑换
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "PointsExchangeDTO", description = "商品积分兑换信息")
public class PointsExchangeDTO {

    @ApiModelProperty("库存")
    private Integer stock;

    @ApiModelProperty("积分数量")
    private Integer pNum;
}
