package com.fzm.mall.server.admin.goods_center.entity.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author wangp
 * @date 2021/3/16 10:14
 * @description 商品规格
 * @since JDK 1.8
 */
@Data
public class GoodsSkuVO {

    private String skuId;
    private BigDecimal originalPrice;
    private BigDecimal weight;
    private Long stock;
    private String coinName;
    private String image;
    private String commodityPassId;
    private BigDecimal balanceNum;
    private List<SkuPropertyVO> propertyList;
    private Integer status;
    private Integer nftSalesType;

}
