package com.fzm.mall.server.admin.goods_center.entity.vo;

import com.fzm.mall.server.admin.goods_center.model.GoodsNft;
import lombok.Data;

import java.util.List;

/**
 * @author wangp
 * @date 2021/3/15 18:23
 * @description 商品详情
 * @since JDK 1.8
 */
@Data
public class GoodsSpuDetailVO {

    private String goodsId;
    private String name;
    private String description;
    private String prop;
    private String categoryName;
    private String categoryIds;
    private String thumb;
    private String imgList;
    private String video;
    private String nftFile;
    private String detail;
    private Integer type;
    private String templateId;
    private String templateName;
    private Integer returnType;
    private String returnReason;
    private String note;
    private String traceabilityNumber;
    private Integer commodityPass;
    private Integer delayDelivery;
    private List<GoodsSkuVO> skus;
    private PreSaleVO preSaleVO;
    private AuctionVO auctionVO;
    private GoodsPackageVO goodsPackageVO;
    private GoodsNftVO goodsNftVO;
    private PointsExchangeVO pointsExchangeVO;

}
