package com.fzm.mall.server.admin.goods_center.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fzm.mall.server.admin.goods_center.model.Category;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 商品类别 Mapper 接口
 * </p>
 *
 * @author fzm
 * @since 2021-03-04
 */
@Mapper
public interface CategoryMapper extends BaseMapper<Category> {

    List<Category> listByCoupon(@Param("couponId") String couponId,
                                @Param("merchantId") String merchantId);

    List<Category> listByPromotion(@Param("promotionId") String promotionId,
                                   @Param("merchantId") String merchantId);

    List<Category> listByReturn(String returnId);

}
