package com.fzm.mall.server.admin.goods_center.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fzm.mall.server.admin.goods_center.entity.dto.ExternalTokenDTO;
import com.fzm.mall.server.admin.goods_center.model.ExternalToken;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 外部商品通证 Mapper 接口
 * </p>
 *
 * @author fzm
 * @since 2021-08-10
 */
@Mapper
public interface ExternalTokenMapper extends BaseMapper<ExternalToken> {

    IPage<ExternalTokenDTO> page(Page<ExternalTokenDTO> page,
                                 @Param("labelName") String labelName,
                                 @Param("goodsId") String goodsId,
                                 @Param("goodsName") String goodsName,
                                 @Param("status") Integer status,
                                 @Param("merchantId") String merchantId);
}
