package com.fzm.mall.server.admin.goods_center.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.fzm.mall.server.admin.goods_center.entity.vo.GoodsCommentVO;
import com.fzm.mall.server.admin.goods_center.entity.vo.GoodsSpuVO;
import com.fzm.mall.server.admin.goods_center.model.GoodsComment;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * @author wangp
 * @date 2021/3/15 17:08
 * @description 商品评论表（用于对商品的评论） Mapper 接口
 * @since JDK 1.8
 */
@Mapper
public interface GoodsCommentMapper extends BaseMapper<GoodsComment> {
    IPage<GoodsCommentVO> page(IPage<GoodsCommentVO> page, String merchantId, String goodsId, String goodsName, Integer evaluateType, Integer replyStatus);
}
