package com.fzm.mall.server.admin.home_page.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.Scope;
import lombok.Data;
import org.springframework.stereotype.Component;

/**
 * @author wangp
 * @date 2021/3/10 16:20
 * @description 管理员信息
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "LoginDTO对象", description = "管理员登录信息")
public class AdminDTO {

    private String merchantId;
    private String roleId;
    private String account;
    private String password;
    private Integer type;

    public AdminDTO() {
    }

    public AdminDTO(String merchantId, String roleId, String account, String password, Integer type) {
        this.merchantId = merchantId;
        this.roleId = roleId;
        this.account = account;
        this.password = password;
        this.type = type;
    }
}
