package com.fzm.mall.server.admin.marketing.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fzm.mall.server.admin.marketing.model.PromotionSku;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 商品促销与规格对应表 Mapper 接口
 * </p>
 *
 * @author wulixian
 * @since 2021-03-10
 */
@Mapper
public interface PromotionSkuMapper extends BaseMapper<PromotionSku> {

    List<PromotionSku> listSku(@Param("promotionId") String promotionId,
                               @Param("merchantId") String merchantId);
}
