package com.fzm.mall.server.admin.message.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author fzm
 * @since 2021-05-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="SmsSend对象", description="")
public class SmsSend implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "编号")
    private String smsNo;

    @ApiModelProperty(value = "收件人")
    private String addressee;

    @ApiModelProperty(value = "短信模板CODE(id)")
    private String templateCode;

    @ApiModelProperty(value = "类别 1：自定义 2：所有用户 3：所有商户")
    private Integer addresseeType;

    @ApiModelProperty(value = "类别 1：立即发送 2：定时发送")
    private Integer sendType;

    @ApiModelProperty(value = "状态 0: 删除  1: 待发送  2: 成功 3.失败")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    private Long sendTime;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
