package com.fzm.mall.server.admin.opration.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 运营中心-banner
 * </p>
 *
 * @author wulixian
 * @since 2021-03-22
 */
@Data
@ApiModel(value = "Banner对象", description = "运营中心-banner")
public class BannerDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "运营中心-banner编号")
    private String operationBannerId;

    @ApiModelProperty(value = "名称")
    private String bannerName;

    @ApiModelProperty(value = "海报url")
    private String bannerImage;

    @ApiModelProperty(value = "类型(1->产品；2->活动)")
    private Integer bannerType;

    @ApiModelProperty(value = "活动链接")
    private String url;

    @ApiModelProperty(value = "产品编号")
    private String number;

    @ApiModelProperty(value = "显示顺序")
    private Long displayOrder;

    @ApiModelProperty(value = "是否删除(0--否 1--是 )")
    private Boolean status;

    @ApiModelProperty(value = "商户id")
    private String merchantId;

    @ApiModelProperty(value = "信息入库时间")
    private Long createTime;

    @ApiModelProperty(value = "信息修改时间")
    private Long updateTime;
}
