package com.fzm.mall.server.admin.opration.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 运营中心-功能区
 * </p>
 *
 * @author wulixian
 * @since 2021-03-22
 */
@Data
@ApiModel(value = "Function对象", description = "运营中心-功能区")
public class FunctionDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "运营中心-banner编号")
    private String operationFunctionId;

    @ApiModelProperty(value = "名称")
    private String functionName;

    @ApiModelProperty(value = "图标url")
    private String functionImage;

    @ApiModelProperty(value = "详情链接")
    private String url;

    @ApiModelProperty(value = "功能区跳转参数")
    private String param;

    @ApiModelProperty(value = "显示顺序")
    private Long displayOrder;

    @ApiModelProperty(value = "是否删除(0--否 1--是 )")
    private Boolean status;

    @ApiModelProperty(value = "商户id")
    private String merchantId;

    @ApiModelProperty(value = "信息入库时间")
    private Long createTime;

    @ApiModelProperty(value = "信息修改时间")
    private Long updateTime;
}
