package com.fzm.mall.server.admin.opration.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 运营中心-关键字
 * </p>
 *
 * @author wulixian
 * @since 2021-03-22
 */
@Data
@ApiModel(value = "Keyword对象", description = "运营中心-关键字")
public class KeywordDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "运营中心-关键字编号")
    private String operationKeywordId;

    @ApiModelProperty(value = "关键字")
    private String keyword;

    @ApiModelProperty(value = "显示顺序")
    private Long displayOrder;

    @ApiModelProperty(value = "是否删除(0--否 1--是 )")
    private Boolean status;

    @ApiModelProperty(value = "信息入库时间")
    private Long createTime;

    @ApiModelProperty(value = "信息修改时间")
    private Long updateTime;
}
