package com.fzm.mall.server.admin.opration.service;

import com.fzm.mall.server.admin.opration.entity.dto.FloorGoodsDTO;
import com.fzm.mall.server.admin.opration.entity.dto.FloorGoodsSaveDTO;
import com.fzm.mall.server.admin.opration.model.FloorGoods;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 运营中心-首页楼层 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-03-23
 */
public interface IFloorGoodsService extends IService<FloorGoods> {

    void save(FloorGoodsSaveDTO floorGoodsSaveDTO);

    void delete(String operationFloorId, String goodsId);

    List<FloorGoodsDTO> listAll(String operationFloorId);
}
