package com.fzm.mall.server.admin.opration.service;

import com.fzm.mall.server.admin.opration.entity.dto.KeywordDTO;
import com.fzm.mall.server.admin.opration.entity.dto.KeywordSaveDTO;
import com.fzm.mall.server.admin.opration.model.Keyword;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 运营中心-关键字 服务类
 * </p>
 *
 * @author wulixian
 * @since 2021-03-22
 */
public interface IKeywordService extends IService<Keyword> {

    void save(KeywordSaveDTO keywordSaveDTO);

    void delete(String operationKeywordId);

    List<KeywordDTO> listAll();

}
