package com.fzm.mall.server.admin.opration.service;

import com.fzm.mall.server.admin.opration.entity.dto.PopularizeCommissionSettingDTO;
import com.fzm.mall.server.admin.opration.entity.vo.PopularizeCommissionSettingVO;
import com.fzm.mall.server.admin.opration.model.PopularizeCommission;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.admin.user_center.entity.dto.MemberConfigDTO;
import com.fzm.mall.server.admin.user_center.entity.vo.MemberConfigVO;

import java.util.List;

/**
 * <p>
 * 运营中心-推广佣金 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-07-19
 */
public interface IPopularizeCommissionService extends IService<PopularizeCommission> {

    /**
     * 编辑
     *
     * @param dtoList 设置信息
     */
    void save(List<PopularizeCommissionSettingDTO> dtoList);

    /**
     * 查询推广佣金设置列表
     */
    List<PopularizeCommissionSettingVO> listSelfDefine();

}
