package com.fzm.mall.server.admin.order.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 订单中心-订单投诉-处理记录
 * </p>
 *
 * @author wulixian
 * @since 2021-03-16
 */
@Data
@ApiModel(value = "投诉单处理记录对象", description = "订单中心-订单投诉-处理记录")
public class ComplaintHandleLogDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "动作")
    private String handle;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "时间")
    private Long time;
}
