package com.fzm.mall.server.admin.order.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fzm.mall.server.admin.order.entity.dto.ComplaintDTO;
import com.fzm.mall.server.admin.order.model.Complaint;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 订单中心-订单投诉 Mapper 接口
 * </p>
 *
 * @author wulixian
 * @since 2021-03-16
 */
@Mapper
public interface ComplaintMapper extends BaseMapper<Complaint> {

    IPage<ComplaintDTO> page(Page<ComplaintDTO> page,
                             @Param("uid") String uid,
                             @Param("complaintId") String complaintId,
                             @Param("complaintStatus") Integer complaintStatus);

    Complaint read(@Param("complaintId") String complaintId);
}
