package com.fzm.mall.server.admin.order.mapper;

import com.fzm.mall.server.admin.order.model.GoodsCoupon;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author fzm
 * @since 2021-04-13
 */
@Mapper
public interface GoodsCouponMapper extends BaseMapper<GoodsCoupon> {

    List<GoodsCoupon> listByOid(@Param("oid") String oid,
                                @Param("uid") String uid,
                                @Param("list") List<String> goodsIdList);

}
