package com.fzm.mall.server.admin.order.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.admin.order.entity.dto.ComplaintDTO;
import com.fzm.mall.server.admin.order.entity.dto.ComplaintSaveDTO;
import com.fzm.mall.server.admin.order.entity.dto.ComplaintUpdateDTO;
import com.fzm.mall.server.admin.order.model.Complaint;

/**
 * <p>
 * 订单中心-订单投诉 服务类
 * </p>
 *
 * @author wulixian
 * @since 2021-03-16
 */
public interface IComplaintService extends IService<Complaint> {

    void save(ComplaintSaveDTO complaintSaveDTO);

    void update(ComplaintUpdateDTO complaintUpdateDTO);

    ComplaintDTO read(String complaintId);

    IPage<ComplaintDTO> page(Page<ComplaintDTO> page, String uid, String complaintId, Integer complaintStatus);

}
