package com.fzm.mall.server.admin.order.service;

import com.fzm.mall.server.admin.order.model.DeliveryRefund;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 提货退货单表 服务类
 * </p>
 *
 * @author wulixian
 * @since 2021-04-29
 */
public interface IDeliveryRefundService extends IService<DeliveryRefund> {

    /**
     * 提货订单“退货”审核
     */
    void refundExamine(String orderDeliveryId, Boolean isApproved, String remark, String addressId);

    /**
     * 商家，提货订单“退货签收”审核
     * @param orderDeliveryId
     * @param isApproved
     * @param remark
     */
    void returnReceiptExamine(String orderDeliveryId, Boolean isApproved, String remark);
}
