package com.fzm.mall.server.admin.order.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.admin.order.model.OrderDetail;

/**
 * <p>
 * 用户购物订单详情表 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-05-24
 */
public interface IOrderDetailService extends IService<OrderDetail> {

    /**
     * 根据订单号和规格id查询订单详情
     *
     * @param oid   订单号
     * @param skuId 规格id
     * @return
     */
    OrderDetail queryByOidAndSkuId(String oid, String skuId);

}
