package com.fzm.mall.server.admin.order.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.mall.server.admin.order.mapper.GoodsCouponMapper;
import com.fzm.mall.server.admin.order.model.GoodsCoupon;
import com.fzm.mall.server.admin.order.service.IGoodsCouponService;
import lombok.RequiredArgsConstructor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author fzm
 * @since 2021-04-13
 */
@Service
@Transactional
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class GoodsCouponServiceImpl extends ServiceImpl<GoodsCouponMapper, GoodsCoupon> implements IGoodsCouponService {

    private final GoodsCouponMapper goodsCouponMapper;

    @Override
    public List<GoodsCoupon> listByOid(String oid, String uid, List<String> goodsIdList) {
        return goodsCouponMapper.listByOid(oid, uid, goodsIdList);
    }
}
