package com.fzm.mall.server.admin.system.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 系统中心-区块链管理-通证
 * </p>
 *
 * @author fzm
 * @since 2021-08-12
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "SysBlockChainPass对象", description = "系统中心-区块链管理-通证")
public class SysBlockChainPassDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "区块链编号")
    private String blockChainId;

    @ApiModelProperty(value = "通证编号")
    private String passId;

    @ApiModelProperty(value = "标识")
    private String passIdentification;

    @ApiModelProperty(value = "名称")
    private String name;

    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "是否可用(0--已被删除 1--正常 2->停用)")
    private Integer status;

    @ApiModelProperty(value = "信息入库时间")
    private Long createTime;

    @ApiModelProperty(value = "信息修改时间")
    private Long updateTime;
}
