package com.fzm.mall.server.admin.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fzm.mall.server.admin.system.entity.dto.SysBlockChainManagementDTO;
import com.fzm.mall.server.admin.system.model.SysBlockChainManagement;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * 系统中心-区块链管理 Mapper 接口
 * </p>
 *
 * @author fzm
 * @since 2021-08-12
 */
@Mapper
public interface SysBlockChainManagementMapper extends BaseMapper<SysBlockChainManagement> {

    List<SysBlockChainManagementDTO> list(String keyword);
}
