package com.fzm.mall.server.admin.system.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fzm.mall.server.admin.system.entity.dto.SysBlockChainPassDTO;
import com.fzm.mall.server.admin.system.model.SysBlockChainPass;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 系统中心-区块链管理-通证 Mapper 接口
 * </p>
 *
 * @author fzm
 * @since 2021-08-12
 */
@Mapper
public interface SysBlockChainPassMapper extends BaseMapper<SysBlockChainPass> {

    IPage<SysBlockChainPassDTO> page(Page<SysBlockChainPassDTO> page,
                                     @Param("blockChainId") String blockChainId,
                                     @Param("keyword") String keyword);
}
