package com.fzm.mall.server.admin.system.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fzm.mall.server.admin.system.entity.dto.SysConfigDTO;
import com.fzm.mall.server.admin.system.model.SysConfig;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 系统配置表 Mapper 接口
 * </p>
 *
 * @author wulixian
 * @since 2021-03-29
 */
@Mapper
public interface SysConfigMapper extends BaseMapper<SysConfig> {

    IPage<SysConfigDTO> page(Page<SysConfigDTO> page,
                             @Param("keyword") String keyword);
}

