package com.fzm.mall.server.admin.system.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fzm.mall.server.admin.system.entity.dto.SysQuestionDTO;
import com.fzm.mall.server.admin.system.model.SysQuestion;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 系统中心-常见问题 Mapper 接口
 * </p>
 *
 * @author fzm
 * @since 2021-03-29
 */
@Mapper
public interface SysQuestionMapper extends BaseMapper<SysQuestion> {

    SysQuestion read(@Param("questionId") String questionId);

    IPage<SysQuestionDTO> page(Page<SysQuestionDTO> page,
                               @Param("keyword") String keyword,
                               @Param("navigationId") String navigationId);
}
