package com.fzm.mall.server.admin.system.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fzm.mall.server.admin.system.entity.dto.SysSensitiveWordsDTO;
import com.fzm.mall.server.admin.system.model.SysSensitiveWords;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 系统中心-敏感词 Mapper 接口
 * </p>
 *
 * @author wulixian
 * @since 2021-03-29
 */
@Mapper
public interface SysSensitiveWordsMapper extends BaseMapper<SysSensitiveWords> {

    IPage<SysSensitiveWordsDTO> page(Page<SysSensitiveWordsDTO> page,
                                     @Param("sensitiveWords") String sensitiveWords);
}
