package com.fzm.mall.server.admin.user_center.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.fzm.mall.server.admin.user_center.entity.vo.UserVO;
import com.fzm.mall.server.admin.user_center.model.User;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * @author wangp
 * @date 2021/3/1 14:33
 * @description 用户信息表 Mapper 接口
 * @since JDK 1.8
 */
@Mapper
public interface UserMapper extends BaseMapper<User> {

    IPage<UserVO> page(IPage<UserVO> page, String uid, String account);


}
