package com.fzm.mall.server.front.asset.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fzm.mall.server.front.asset.model.UserAssetTransferRecord;
import com.fzm.mall.server.front.asset.model.vo.UserAssetTransferRecordVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 用户资产-转赠 Mapper 接口
 * </p>
 *
 * @author fzm
 * @since 2021-08-17
 */
@Mapper
public interface UserAssetTransferRecordMapper extends BaseMapper<UserAssetTransferRecord> {

    IPage<UserAssetTransferRecordVO> page(Page<UserAssetTransferRecordVO> page,
                                          @Param("uid") String uid,
                                          @Param("goodsId") String goodsId,
                                          @Param("skuId") String skuId,
                                          @Param("status") int status);
}
