package com.fzm.mall.server.front.asset.model.dto;

import com.fzm.mall.server.front.asset.model.dto.OrderMainUnitDTO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author tdz
 * @date 2021/02/22 11:26
 */
@Data
@ApiModel("订单数组参数")
public class OrderMainListDTO {
    @ApiModelProperty("同一个商家的订单数组")
    private List<OrderMainUnitDTO> list;
    @ApiModelProperty("商家编号")
    private String sid;
    @ApiModelProperty("使用积分数量，正整数，可为空")
    private String bpNum;
    @ApiModelProperty("优惠券，可为空")
    private String coupon;


    @Override
    public String toString() {
        return "商家编号: " + sid + ", 积分数量: " + bpNum + ", 优惠券: " + coupon + ", 订单: " + list;
    }
}
