package com.fzm.mall.server.front.asset.model.po;

import lombok.Data;

/**
 * @author tdz
 * @date 2021/03/02 14:51
 */
@Data
public class OrderMainPO {
    private String smid;
    private String uid;
    private String iid;
    private String sid;
    private Long oid;
    private String postFee;
    private String bpCoin;
    private String bpNumber;
    private String bpAmount;
    private String coupon;
    private String couponAmount;
    private String total;
    private Integer acceptBty;
    private String payAmountOne;
    private String delivery;
    private String uname;
    private String phone;
    private String address;
    private String note;
    private Long createTime;
    //银联下单返回qrcode
    private String qrcode;
    //商户订单号
    private String merOrderId;
    //这笔订单金额和订单总额的百分比
    private String payPercent;
    //一笔订单用户付的gxl
    private String payGxlPer;
    //一笔消费客户付的总gxl
    private String payGxlAmount;
    //商家分账金额
    private String merchantCnyPer;
    //客户支付人民币金额
    private String payCnyAmount;
    //每笔订单平台收款
    private String platReceivePay;
    //一笔消费（一个商户订单号）平台收费总额
    private String platAllReceive;
    //支付类型
    private String payType;
    //平台一笔交易从用户扣得钱
    private String platGetMoney;
    //是否分账 0-不分账，1-分账
    private Integer isDivision;
    //给商家打过去的gxl数量
    private String payMerchantGxl;
    //剩余给平台打的gxl数量
    private String reamainGxl;
    //商户名称
    private String merName;
}
