package com.fzm.mall.server.front.asset.model.po.qo;

import lombok.Builder;
import lombok.Data;

/**
 * @author tdz
 * @date 2021/02/22 11:26
 */
@Data
@Builder
public class OrderQO {
    /**
     * 0 用户，1 商家
     */
    private Integer type;
    private String uid;
    /**
     * 评价状态，0->未评价，1->已评价，不传或传错->全部
     */
    private String assessState;
    private String searchKey;
    private String orderState;
    private Integer page;
    private Integer size;
    private Integer begin;

    public OrderQO init() {
        this.begin = (page - 1) * size;
        return this;
    }
}
