package com.fzm.mall.server.front.asset.model.vo.coin;

import com.fzm.mall.server.front.asset.model.vo.coin.CoinVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author tdz
 * @date 2021/02/22 11:26
 */
@Getter
@Setter
@ApiModel("用户资产信息")
public class UserCoinVO extends CoinVO {
    @ApiModelProperty("币种名字")
    private String name;
    @ApiModelProperty("可用数量")
    private String amount;
    @ApiModelProperty("冻结数量")
    private String frozen;

    @ApiModelProperty("提货开始时间，只有商品币有")
    private Long tstartTime;
    @ApiModelProperty("提货结束时间，只有商品币有")
    private Long tendTime;
}
