package com.fzm.mall.server.front.asset.model.vo.good;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author tdz
 * @date 2021/02/22 11:26
 */
@Data
@ApiModel("商品分销奖励信息")
public class GoodRetailVO {
    @ApiModelProperty("是否设置分销奖励,false:不设置 true:设置")
    private Integer enabled;
    @ApiModelProperty("普通会员分销奖励")
    private BigDecimal commonNum;
    @ApiModelProperty("黄金会员分销奖励")
    private BigDecimal goldNum;
    @ApiModelProperty("钻石会员分销奖励")
    private BigDecimal diamondNum;
}
