package com.fzm.mall.server.front.asset.model.vo.good;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author tdz
 * @date 2021/03/02 14:51
 */
@Data
@ApiModel("订单单位信息")
public class OrderMainUnitVO {
    @ApiModelProperty("订单编号")
    private String oid;
    @ApiModelProperty("订单名称")
    private String name;
    @ApiModelProperty("订单总价")
    private String total;
    @ApiModelProperty("是否接受BTY：0->不接受，1->接受")
    private Integer acceptBty;
    @ApiModelProperty("下单时间")
    private Long createTime;
}
