package com.fzm.mall.server.front.asset.model.vo.user;


import com.fzm.mall.server.front.asset.model.vo.good.GoodMainVO;
import com.fzm.mall.server.front.asset.model.vo.good.GoodSkuVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.util.List;

/**
 * @author tdz
 * @date 2021/03/04 14:51
 */
@Getter
@Setter
@ToString
@ApiModel("商品购物车信息")
public class CartMainVO extends GoodMainVO {
    @ApiModelProperty("购物车编号")
    private Long id;
    @ApiModelProperty("数量")
    private Integer number;
    @ApiModelProperty("币名称")
    private String coin;
    @ApiModelProperty("属性1的名称，10个汉字以内")
    private String p1Name;
    @ApiModelProperty("属性1的值")
    private String p1Value;
    @ApiModelProperty("属性2的名称，10个汉字以内")
    private String p2Name;
    @ApiModelProperty("属性2的值")
    private String p2Value;
    @ApiModelProperty("是否失效：0->失效，1->没失效")
    private Integer activeState;
    @ApiModelProperty("商品销售信息")
    private List<GoodSkuVO> sku;
}
