package com.fzm.mall.server.front.asset.service;

import com.fzm.mall.server.front.asset.model.UserAsset;
import com.fzm.mall.server.front.asset.model.UserAssetRecord;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.front.asset.model.vo.asset.UserAssetRecordVo;
import com.fzm.mall.server.front.base.PageVO;

/**
 * <p>
 * 用户资产变更记录表 服务类
 * </p>
 *
 * @author tdz
 * @since 2021-05-17
 */
public interface IUserAssetRecordService extends IService<UserAssetRecord> {
    PageVO<UserAssetRecord> pageAssetRecord(final UserAssetRecordVo assetRecordVo);

    UserAssetRecord getByUidAndcommentId(String uid, String commentId);
}
