package com.fzm.mall.server.front.constant;

/**
 * @author lyz
 * @mail lyz@disanbo.com
 * @create 018/7/12 11:03
 * @description BJ项目全局常量定义
 */

public class MALLGlobalConfig {
    //项目前缀
    public static final String MALL_SUFFIX = "_ly";

    public static final String MALL_TOKEN_REDISKEY_SUFFIX = MALL_SUFFIX+"_token";
    
    public static final String MALL_LOGIN_TIME_SUFFIX = MALL_SUFFIX+"_login_time";
    
    public static final String MALL_REQUEST_SUFFIX = "/mall/";
    
    public static final String MALL_WITHOUT_TOKEN = "/without/";
    
    public static final String BANK_NUMBER_RULE = "^([0-9]{14,20})$";
    
    public static final String EMAIL_RULE = "^\\w+([-+.]\\w+)*@\\w+([-.]\\w+)*\\.\\w+([-.]\\w+)*$";
    
    public static final String NAME_RULE = "^[\\u4E00-\\u9FA5]{2,7}$";

    //sms 后缀
    public static final String MALL_LOGIN_SUFFIX = MALL_SUFFIX+"_login";
    
    public static final String MALL_WITHDRAW_SUFFIX = MALL_SUFFIX+"_withdraw";

    public static final String SENSSITIVE_WORDS = MALL_SUFFIX+"_sensitive_words";

    //mq前缀
    public static final String projectMq = "ly";




    public static final String ALIPAY_RES_SUCCESS = "success";
    public static final String ALIPAY_RES_FAILED = "failed";

	 public static final String WXPAY_SUCCESS = "SUCCESS";

    public static final String WXPAY_RES_SUCCESS = "<xml>" + "<return_code><![CDATA[SUCCESS]]></return_code>" + "<return_msg><![CDATA[SUCCESS]]></return_msg>" + "</xml> ";
    public static final String WXPAY_RES_FAIL = "<xml>" + "<return_code><![CDATA[FAIL]]></return_code>" + "<return_msg><![CDATA[FAIL]]></return_msg>" + "</xml> ";

    public static final String GOODS_NFT_PREFIX = "NFT-";

    public static final String PJ_SUFFIX = "ly";

}
