package com.fzm.mall.server.front.constant;

/**
 * @author tdz
 * @date 2021/02/22 11:26
 */


public class StateConst {
    /**
     * 上架/成功
     */
    public final static int ACTIVE_WAIT = 0;
    /**
     * 上架/成功
     */
    public final static int ACTIVE_SUCCESS = 1;
    /**
     * 失败
     */
    public final static int ACTIVE_FAILURE = 2;

    /**
     * 待上链
     */
    public final static int CHAIN_WAIT = 0;
    /**
     * 上链成功
     */
    public final static int CHAIN_SUCCESS = 1;
    /**
     * 上链不成功
     */
    public final static int CHAIN_FAILURE = 2;

    /**
     * 计数方式：拍下减库存
     */
    public final static int TYPE_COUNT_ZERO = 0;

    /**
     * 删除
     */
    public final static int DELETE_SUCCESS = 1;

    /**
     * 待审核
     */
    public final static int VERIFY_WAIT = 0;
    /**
     * 审核成功
     */
    public final static int VERIFY_SUCCESS = 1;
    /**
     * 审核失败
     */
    public final static int VERIFY_FAILURE = 2;
    /**
     * 已撤销
     */
    public final static int VERIFY_UNDO = 3;
    /**
     * 自动提币
     */
    public final static int VERIFY_AUTO = 4;

    /**
     * 待发货
     */
    public final static int DELIVERY_WAIT = 0;
    /**
     * 已发货
     */
    public final static int DELIVERY_ALREADY = 1;
    /**
     * 已完成
     */
    public final static int DELIVERY_FINISH = 2;
    /**
     * 已撤销
     */
    public final static int DELIVERY_UNDO = 3;
    /**
     * 待退货
     */
    public final static int DELIVERY_RETURN_WAIT = 4;
    /**
     * 已退货
     */
    public final static int DELIVERY_RETURN_SUCCESS = 5;

    /**
     * 包邮
     */
    public final static String POST_TYPE_FREE = "0";
    /**
     * 包邮
     */
    public final static int POST_TYPE_FREE_INT = 0;

    /**
     * 入币
     */
    public final static int TX_COIN_IN = 0;
    /**
     * 出币
     */
    public final static int TX_COIN_OUT = 1;

    /**
     * 下单直接提货
     */
    public final static int ORDER_TO_DELIVERY = 1;

    /**
     * 匿名
     */
    public final static int ANONYMOUS = 1;
    /**
     * 非匿名
     */
    public final static int ONYMOUS = 0;

    /**
     * 无效
     */
    public final static int INVALID = 0;
    /**
     * 有效
     */
    public final static int VALID = 1;

    /**
     * 好评
     */
    public final static int PRAISE = 0;
    /**
     * 中评
     */
    public final static int AVERAGE = 1;
    /**
     * 差评
     */
    public final static int NEGATIVE_RATINGS = 2;

    /**
     * 能点赞
     */
    public final static int CAN_PRAISE = 1;
    /**
     * 不能点赞
     */
    public final static int CAN_NOT_PRAISE = 0;

    /**
     * 用户点赞操作
     */
    public final static int USER_PRAISE = 1;
    /**
     * 用户取消点赞操作
     */
    public final static int USER_CANCEL_PRAISE = 0;

    /**
     * 状态为已点赞
     */
    public final static int STATUS_PRAISE = 1;
    /**
     * 状态为未点赞
     */
    public final static int STATUS_NOT_PRAISE = 0;

    /**
     * 举报：商品的评价
     */
    public final static int TIP_OFF_COMMENT = 0;
    /**
     * 举报：对商品评价的评论
     */
    public final static int TIP_OFF_COMMENT_SUB = 1;
    /**
     * 举报：对商品评价的追评
     */
    public final static int TIP_OFF_COMMENT_APPEND = 2;

    /**
     * 只看层主
     */
    public final static int ONLY_WATCH_LAYER = 1;
    /**
     * 不止看层主
     */
    public final static int NOT_ONLY_WATCH_LAYER = 0;

    /**
     * 卖家/买家已回复
     */
    public final static int HAD_REPLIED = 1;
    /**
     * 卖家/买家未回复
     */
    public final static int NOT_REPLIED = 0;

    /**
     * 已追评
     */
    public final static int APPEND = 1;
    /**
     * 未追评
     */
    public final static int NOT_APPEND = 0;

    /**
     * 通过评论编号进行追评
     */
    public final static int COMMENT_APPEND_BY_COMMENT_ID = 0;
    /**
     * 通过提货订单编号进行追评
     */
    public final static int COMMENT_APPEND_BY_OID = 1;

    /**
     * 用户提货订单买家评价状态-未评论
     */
    public final static int BUYER_STATE_NO_COMMENT = 0;
    /**
     * 用户提货订单买家评价状态-已评论未追评
     */
    public final static int BUYER_STATE_HAD_COMMENT = 1;
    /**
     * 用户提货订单买家评价状态-已追评
     */
    public final static int BUYER_STATE_HAD_APPEND_COMMENT = 2;

}
