package com.fzm.mall.server.front.constant.cache;

/**
 * @author tdz
 * @date 2021/02/22 11:26
 */

public class MallCacheHeader {
    /**
     * 所有敏感词汇
     */
    public static final String ALL_SENSITIVE = "mall_all_sensitive_word";

    /**
     * 是否需要刷新敏感词汇
     */
    public static final String NEED_REFRESH_SENSITIVE = "mall_need_refresh_sensitive_word_";

    /**
     * 用户交易密码
     */
    public static final String USER_PASSWORD = "mall_user_password_";

    /**
     * 用户提币地址
     */
    public static final String USER_ADDRESS = "mall_user_address_";

    /**
     * 轮播图
     */
    public static final String MAIN_CAROUSEL = "mall_main_carousel_";

    /**
     * 实时行情
     */
    public static final String MALL_PRICE = "mall_price_";
    /**
     * 是否签到
     */
    public static final String MALL_IS_SIGN = "mall_is_sign_";
    /**
     * 是否参与早起
     */
    public static final String MALL_IS_SIGN_JOIN = "mall_is_sign_join_";

    /**
     * 是否开启活动
     */
    public static final String MALL_IS_SIGN_COUNT = "mall_is_sign_count_";

    /**
     * 早起排行
     */
    public static final String MALL_IS_SIGN_RANKING = "mall_is_sign_ranking_";

    /**
     * 商家信息
     */
    public static final String MALL_BUSINESS = "mall_business_";

    /**
     * 监控币种
     */
    public static final String MALL_MONITOR_ALL = "mall_monitor_all";
    /**
     * 监控报警
     */
    public static final String MALL_MONITOR_WARN = "mall_monitor_warn_";

    /**
     * token余额
     */
    public static final String MALL_MONITOR_NUMBER_TOKEN = "mall_monitor_number_token_";

    /**
     * 代扣余额
     */
    public static final String MALL_MONITOR_NUMBER_SEED = "mall_monitor_number_seed";

    /**
     * 钱包余额
     */
    public static final String MALL_MONITOR_NUMBER_WALLET = "mall_monitor_number_wallet";

    /**
     * 二维码
     */
    public static final String MALL_QR_MD5 = "mall_qr_md5_";

    /**
     * 支付结果
     */
    public static final String MALL_PAY_RESULT = "mall_pay_result_";

    /**
     * 币种信息
     */
    public static final String _INFO = "mall_coin_info_";

    /**
     * 所有支付币种
     */
    public static final String ALL_PAY_COIN_TYPE = "mall_all_pay_coin_type";

    /**
     * 商品订单信息
     */
    public static final String GOOD_ORDER = "mall_good_order_";
    /**
     * 商品销售信息
     */
    public static final String goods_sku = "mall_good_sku_";

    /**
     * 商品订单详细信息
     */
    public static final String GOOD_ORDER_DETAIL = "mall_good_order_detail_";
}
