package com.fzm.mall.server.front.goods.mapper;

import com.fzm.mall.server.front.goods.model.DistributionTemplateItem;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

/**
 * <p>
 * 物流中心-运费模板-指定地区运费规则 Mapper 接口
 * </p>
 *
 * @author fzm
 * @since 2021-03-19
 */
public interface DistributionTemplateItemMapper extends BaseMapper<DistributionTemplateItem> {
    @Select("select * from distribution_template_item where template_id = #{templateId} and delivery_area like #{province}")
    DistributionTemplateItem getByTemplateIdAndProvince(@Param("templateId") String templateId, @Param("province") String province);
}
