package com.fzm.mall.server.front.goods.mapper;

import com.fzm.mall.server.front.goods.model.FlashSale;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fzm.mall.server.front.goods.model.vo.GoodsFlashVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 商品秒杀活动表 Mapper 接口
 * </p>
 *
 * @author fzm
 * @since 2021-03-02
 */
public interface FlashSaleMapper extends BaseMapper<FlashSale> {

    List<GoodsFlashVo> getList(@Param("merchantId") String merchantId,@Param("currentTimeMillis") Long currentTimeMillis,@Param("start") int start ,@Param("end") int end);
}
