package com.fzm.mall.server.front.goods.model.vo;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONArray;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class OrderCommentVo {

    private String oid;

    private String skuId;
    @ApiModelProperty(value = "商品评价：0：好评，1：中评，2：差评")
    private Integer evaluate;
    @ApiModelProperty(value = "评价详情 200字")
    private String content;

    private JSONArray imagesJson;

    private String video;
    @ApiModelProperty(value = "店铺评价分")
    private BigDecimal businessEvaluate;
    @ApiModelProperty(value = "匿名 0否  1是")
    private Integer anonymous;
    @ApiModelProperty(value = "物流评分")
    private BigDecimal expressEvaluate;
}
