package com.fzm.mall.server.front.goods.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel(value="", description="")
@Data
public class SaleHotVo {

    @ApiModelProperty(value = "商户号 为空则为平台秒杀")
    private String merchantId;

    @ApiModelProperty(value = "商品id")
    private String goodsId;

    @ApiModelProperty(value = "商品名称")
    private String name;

    @ApiModelProperty(value = "商品缩略图")
    private String thumb;

    @ApiModelProperty(value = "默认原价（最低规格的价格）")
    private BigDecimal defaultPrice;

    @ApiModelProperty(value = "类型  1:普通   2:预售   3:竞拍   4:秒杀")
    private Integer type;

    @ApiModelProperty(value = "类目名称")
    private String categoryName;

    @ApiModelProperty(value = "子类目id")
    private String categoryId;
}
