package com.fzm.mall.server.front.goods.service;

import com.fzm.mall.server.front.goods.model.OprationFloorGoods;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.front.goods.model.vo.PageVo;
import com.fzm.mall.server.front.goods.model.vo.PageVoWithOne;
import com.fzm.mall.server.front.goods.model.vo.SaleHotVo;

import java.util.List;

/**
 * <p>
 * 运营中心-首页楼层 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-04-02
 */
public interface IOprationFloorGoodsService extends IService<OprationFloorGoods> {

    List<SaleHotVo> getByOperationFloorId(String operationFloorId, PageVoWithOne pageVo);

    Integer getCount(String operationFloorId);
}
