package com.fzm.mall.server.front.goods.service;

import com.fzm.mall.server.front.goods.model.ShopNavigationGoods;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.front.goods.model.vo.GoodsVo;
import com.fzm.mall.server.front.goods.model.vo.PageVoWithTwo;
import com.fzm.mall.server.front.goods.model.vo.SaleHotVo;

import java.util.List;

/**
 * <p>
 * 店铺中心-店铺导航管理 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-05-31
 */
public interface IShopNavigationGoodsService extends IService<ShopNavigationGoods> {

    List<SaleHotVo>  getGoodsVo(PageVoWithTwo pageVoWithTwo);

    Integer getCount(String merchantId, String navigationId);
}
