package com.fzm.mall.server.front.goods.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.fzm.mall.server.front.goods.model.OprationFunction;
import com.fzm.mall.server.front.goods.mapper.OprationFunctionMapper;
import com.fzm.mall.server.front.goods.service.IOprationFunctionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 运营中心-功能区 服务实现类
 * </p>
 *
 * @author fzm
 * @since 2021-03-25
 */
@Service
public class OprationFunctionServiceImpl extends ServiceImpl<OprationFunctionMapper, OprationFunction> implements IOprationFunctionService {

    @Override
    public List<OprationFunction> getOprationFunction() {
        QueryWrapper<OprationFunction> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("status",0);
        queryWrapper.orderByAsc("display_order");
        return list(queryWrapper);
    }
}
