package com.fzm.mall.server.front.goods.service.impl;

import com.fzm.mall.server.front.goods.model.OprationKeyword;
import com.fzm.mall.server.front.goods.mapper.OprationKeywordMapper;
import com.fzm.mall.server.front.goods.service.IOprationKeywordService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 运营中心-关键字 服务实现类
 * </p>
 *
 * @author fzm
 * @since 2021-03-25
 */
@Service
public class OprationKeywordServiceImpl extends ServiceImpl<OprationKeywordMapper, OprationKeyword> implements IOprationKeywordService {

    @Autowired
    private OprationKeywordMapper oprationKeywordMapper;
    @Override
    public List<String> getKeyWord() {
        return oprationKeywordMapper.getKeyWord();
    }
}
