package com.fzm.mall.server.front.order.model.vo;

import com.fzm.mall.server.front.order.controller.weixinPay.WeiXinProties;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class WCPayResultVo {

    private String timeStamp;

    private String noncestr;

    private String prePayId;

    private String signType = "RSA";

    private String sign;

    @ApiModelProperty(value = "jsapi使用")
    private String appId = WeiXinProties.getAPP_ID();

    @ApiModelProperty(value = "app使用")
    private String wxAppId = WeiXinProties.getWX_APP_ID();

    private String signature;

    @ApiModelProperty(value = "商户号")
    private String mercId = WeiXinProties.getMERC_ID();

}
