package com.fzm.mall.server.front.order.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.fzm.mall.server.front.base.PageVO;
import com.fzm.mall.server.front.goods.model.qo.UserAuctionQO;
import com.fzm.mall.server.front.goods.model.vo.PageVo;
import com.fzm.mall.server.front.goods.model.vo.UserAuctionVO;
import com.fzm.mall.server.front.order.model.BiddingRecord;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 用户竞拍记录表 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-09-02
 */
public interface IBiddingRecordService extends IService<BiddingRecord> {
    List<BiddingRecord> getBiddingRecordsByUid(QueryWrapper<BiddingRecord> q,String uid, Integer start, Integer size);

    PageVO<BiddingRecord> listUserAuctionOrder(final UserAuctionQO qo);

    PageVO<BiddingRecord> getBiddingRecordsByAuctionId(String auctionId, PageVo pageVo);

    List<BiddingRecord> queryBiddingRecordsByAuctionId(String uid, String auctionId);
}
