package com.fzm.mall.server.front.order.service;

import com.fzm.mall.server.front.base.PageVO;
import com.fzm.mall.server.front.goods.model.vo.PageVo;
import com.fzm.mall.server.front.order.model.Complaint;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.front.order.model.vo.ComplaintVo;

import java.util.List;

/**
 * <p>
 * 订单中心-订单投诉 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-06-01
 */
public interface IComplaintService extends IService<Complaint> {

    int addComplaint(String uid, ComplaintVo complaint);

    PageVO<Complaint> complaintList(String uid,PageVo pageVo);

    Complaint complaintById(String uid,String id);
}
