package com.fzm.mall.server.front.order.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.fzm.mall.server.front.order.model.Refund;
import com.fzm.mall.server.front.order.mapper.RefundMapper;
import com.fzm.mall.server.front.order.service.IRefundService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 订单退款表 服务实现类
 * </p>
 *
 * @author fzm
 * @since 2021-04-27
 */
@Service
public class RefundServiceImpl extends ServiceImpl<RefundMapper, Refund> implements IRefundService {

    @Override
    public Refund getByOid(String orderId) {
        QueryWrapper<Refund> q = new QueryWrapper<>();
        q.eq("oid",orderId);
        return getOne(q);
    }
}
