package com.fzm.mall.server.front.shopping.mapper;

import com.fzm.mall.server.front.shopping.model.UserShoppingCart;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

/**
 * <p>
 * 用户购物车表 Mapper 接口
 * </p>
 *
 * @author fzm
 * @since 2021-03-26
 */
public interface UserShoppingCartMapper extends BaseMapper<UserShoppingCart> {
    @Update("update user_shopping_cart set is_active=0 where uid = #{uid} and sku_id in(${skuIds})")
    int delList(@Param("uid") String uid, @Param("skuIds") String skuIds);
}
