package com.fzm.mall.server.front.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.fzm.mall.server.front.system.model.SysVersion;
import com.fzm.mall.server.front.system.mapper.SysVersionMapper;
import com.fzm.mall.server.front.system.service.ISysVersionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 版本更新表 服务实现类
 * </p>
 *
 * @author fzm
 * @since 2021-11-03
 */
@Service
public class SysVersionServiceImpl extends ServiceImpl<SysVersionMapper, SysVersion> implements ISysVersionService {
    public SysVersion getVersion(String type) {
        QueryWrapper<SysVersion> qw = new QueryWrapper<>();
        qw.eq("type", type);
        return getOne(qw);
    }

}
