package com.fzm.mall.server.front.user.model.vo;

import com.fzm.mall.server.front.asset.model.UserAsset;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class AssetVo {
    @ApiModelProperty(value = "总价值")
    private BigDecimal total;
    @ApiModelProperty(value = "积分")
    private BigDecimal mallCoin;

    private List<UserAsset> list;
    @ApiModelProperty(value = "记录数")
    private Integer count;
}
