package com.fzm.mall.server.front.user.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
@Data
public class FootGoodsVo {

    @ApiModelProperty(value = "商户号 为空则为平台秒杀")
    private String merchantId;

    @ApiModelProperty(value = "商品id")
    private String goodsId;

    @ApiModelProperty(value = "商品名称")
    private String name;

    @ApiModelProperty(value = "商品缩略图")
    private String thumb;

    @ApiModelProperty(value = "默认原价（最低规格的价格）")
    private BigDecimal defaultPrice;

    @ApiModelProperty(value = "类型  1:普通   2:预售   3:竞拍   4:秒杀")
    private Integer type;

    private Long updateTime;
}
