package com.fzm.mall.server.front.user.model.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class MailAddressVO {

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;


    @ApiModelProperty(value = "收货人")
    private String name;

    @ApiModelProperty(value = "手机号")
    private String phone;

    @ApiModelProperty(value = "城市code")
    private Long cityCode;

    @ApiModelProperty(value = "街道code")
    private Long streetCode;

    @ApiModelProperty(value = "区code")
    private Long countyCode;

    @ApiModelProperty(value = "省份code")
    private Long provinceCode;

    @ApiModelProperty(value = "详细地址")
    private String detailAddr;

    @ApiModelProperty(value = "是否默认  1：是  2 否")
    private Integer defaultAddr;
}
