//package com.fzm.mall.server.front;
//
//import cn.hutool.json.JSONUtil;
//import com.fzm.mall.midea.pay.component.MideaPayComponent;
//import com.fzm.mall.midea.pay.model.BaseResponse;
//import com.fzm.mall.midea.pay.params.AliPayTradeParam;
//import com.fzm.mall.midea.pay.params.RefundParam;
//import com.fzm.mall.midea.pay.params.TradeQueryParam;
//import com.fzm.mall.midea.pay.params.WechatPayTradeParam;
//import org.junit.jupiter.api.Test;
//import org.springframework.boot.test.context.SpringBootTest;
//
//import javax.annotation.Resource;
//import java.text.SimpleDateFormat;
//import java.util.Date;
//import java.util.HashMap;
//import java.util.UUID;
//
///**
// * @author tangtuo
// * @date 2021/5/24 18:32
// */
//@SpringBootTest
//public class MideaPayTest {
//
//    @Resource
//    private MideaPayComponent mideaPayComponent;
//
//    @Test
//    public void wechatPayTrade() {
//        WechatPayTradeParam wechatPayTradeParam = new WechatPayTradeParam();
//        wechatPayTradeParam.setService("trade_pay_wechatpay").
//                setVersion("3.4.0").
//                setReq_seq_no(UUID.randomUUID().toString().replace("-", "")).
//                setPartner("1010088401").
//                setInput_charset("UTF-8").
//                setTerminal_type("ITG").
//                setSign_type("MD5_RSA_TW").
//                setNotify_url("www.baidu.com");
//        wechatPayTradeParam.setIs_guarantee("FALSE");
//        wechatPayTradeParam.setApp_id("wx41e339828fa06fd5");
//        String order_id = UUID.randomUUID().toString().replaceAll("-", "");
//        System.out.println("order_id:  " + order_id);
//        wechatPayTradeParam.setOut_trade_no(order_id);
//        wechatPayTradeParam.setOut_trade_time(new SimpleDateFormat("yyyyMMddHHmmss").format(new Date()));
//        wechatPayTradeParam.setBar_code("SCAN_CODE");
//        wechatPayTradeParam.setOrder_amount("100");
//        wechatPayTradeParam.setPay_amount("100");
//        wechatPayTradeParam.setIs_virtual_product("FALSE");
//        wechatPayTradeParam.setProduct_name("测试商品");
//        wechatPayTradeParam.setProduct_info("测试商品详情");
//        HashMap<String, String> map = new HashMap<>();
//        map.put("ip", "192.168.75.1");
//        wechatPayTradeParam.setRisk_params(JSONUtil.toJsonStr(map));
//        BaseResponse response = mideaPayComponent.sendRequest(wechatPayTradeParam);
//        System.out.println(response);
//    }
//
//    @Test
//    public void aliPayTrade() {
//        AliPayTradeParam aliPayTradeParam = new AliPayTradeParam();
//        aliPayTradeParam.setService("trade_pay_alipay").
//                setVersion("3.4.0").
//                setReq_seq_no(UUID.randomUUID().toString().replace("-", "")).
//                setPartner("1010088401").
//                setInput_charset("UTF-8").
//                setTerminal_type("ITG").
//                setSign_type("MD5_RSA_TW").
//                setNotify_url("www.baidu.com");
//        aliPayTradeParam.setApp_id("wx41e339828fa06fd5");
//        aliPayTradeParam.setIs_guarantee("FALSE");
//        String order_id = UUID.randomUUID().toString().replaceAll("-", "");
//        System.out.println("order_id:  " + order_id);
//        aliPayTradeParam.setOut_trade_no(order_id);
//        aliPayTradeParam.setOut_trade_time(new SimpleDateFormat("yyyyMMddHHmmss").format(new Date()));
//        aliPayTradeParam.setBar_code("SCAN_CODE");
//        aliPayTradeParam.setOrder_amount("100");
//        aliPayTradeParam.setPay_amount("100");
//        aliPayTradeParam.setIs_virtual_product("FALSE");
//        aliPayTradeParam.setProduct_name("测试商品");
//        aliPayTradeParam.setProduct_info("测试商品详情");
//        HashMap<String, String> map = new HashMap<>();
//        map.put("ip", "192.168.75.1");
//        aliPayTradeParam.setRisk_params(JSONUtil.toJsonStr(map));
//        System.out.println(mideaPayComponent.sendRequest(aliPayTradeParam));
//    }
//
//    @Test
//    public void refund(){
//        RefundParam refundParam = new RefundParam();
//        refundParam.setService("trade_refund").
//                setVersion("3.1.0").
//                setReq_seq_no(UUID.randomUUID().toString().replace("-", "")).
//                setPartner("1010088401").
//                setInput_charset("UTF-8").
//                setTerminal_type("ITG").
//                setSign_type("MD5_RSA_TW").
//                setNotify_url("www.baidu.com");
//        String order_id = UUID.randomUUID().toString().replaceAll("-", "");
//        System.out.println("order_id:  " + order_id);
//        refundParam.setOut_trade_no("7e961ef0bb674b52abacad4cbe740b0d");
//        refundParam.setRefund_amount("100");
//        refundParam.setOut_refund_time(new SimpleDateFormat("yyyyMMddHHmmss").format(new Date()));
//        refundParam.setOut_refund_no(UUID.randomUUID().toString().replaceAll("-", ""));
//        HashMap<String, String> map = new HashMap<>();
//        map.put("ip", "192.168.75.1");
//        refundParam.setRisk_params(JSONUtil.toJsonStr(map));
//
//        System.out.println(mideaPayComponent.sendRequest(refundParam));
//    }
//
//
//
//    @Test
//    public void tradeQuery() {
//        TradeQueryParam tradeQueryParam = new TradeQueryParam();
//        tradeQueryParam.setService("trade_query").
//                setVersion("3.4.0").
//                setReq_seq_no(UUID.randomUUID().toString().replace("-", "")).
//                setPartner("1010088401").
//                setInput_charset("UTF-8").
//                setTerminal_type("ITG").
//                setSign_type("MD5_RSA_TW");
//        tradeQueryParam.setOut_trade_no("25a55a57bef846ebb566ec74080f80ff");
//        System.out.println(mideaPayComponent.sendRequest(tradeQueryParam));
//    }
//}
