package com.fzm.mall.customer.service.customer.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fzm.mall.customer.service.customer.model.Group;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author wulixian
 * @since 2021-04-07
 */
@Mapper
public interface GroupMapper extends BaseMapper<Group> {

    List<Group> listGroupAndUser(String userId);

    List<Group> list(@Param("userId") String userId,
                     @Param("toId") String toId);
}
