package com.fzm.mall.customer.service.customer.service;

import com.fzm.mall.customer.service.customer.entity.dto.CustomerDTO;
import com.fzm.mall.customer.service.customer.entity.dto.CustomerSaveDTO;
import com.fzm.mall.customer.service.customer.entity.dto.ShopCustomerDTO;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author wulixian
 * @since 2021-04-07
 */
public interface CustomerService {

    CustomerDTO contact(CustomerSaveDTO customerSaveDTO);

    List<CustomerDTO> list(String userId, String toId, String keyWord);

    List<ShopCustomerDTO> listShopCustomer(String merchantId);
}
