package com.fzm.mall.midea.pay.constant;

/**
 * @author tangtuo
 * @date 2021/6/4 10:20
 * <p>
 * 美的支付接口名称常量类
 * </p>
 */
public class ServiceConstant {

    /**
     * 微信支付单笔交易下单
     */
    public static final String TRADE_PAY_WECHATPAY ="trade_pay_wechatpay";

    /**
     *微信支付合单交易下单
     */
    public static final String BATCH_TRADE_PAY_WECHATPAY ="batch_trade_pay_wechatpay";

    /**
     * 支付宝单笔交易下单
     */
    public static final String TRADE_PAY_ALIPAY ="trade_pay_alipay";

    /**
     * 支付宝合单交易下单
     */
    public static final String BATCH_TRADE_PAY_ALIPAY ="batch_trade_pay_alipay";

    /**
     * 单笔交易查询
     */
    public static final String TRADE_QUERY ="trade_query";

    /**
     * 合单交易查询
     */
    public static final String BATCH_TRADE_QUERY ="batch_trade_query";

    /**
     * 退款下单
     */
    public static final String TRADE_REFUND ="trade_refund";

    /**
     * 退款交易查询
     */
    public static final String TRADE_REFUND_QUERY ="trade_refund_query";

    /**
     * 确认收货下单
     */
    public static final String TRADE_PAY_RECEIVE ="trade_pay_receive";
}
