package com.fzm.mall.midea.pay.params;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author tangtuo
 * @date 2021/5/27 16:06
 */
@Data
@ApiModel(value = "退款交易查询请求参数")
public class RefundQueryParam extends BaseParam{

    @NotBlank(message = "退款订单号不能为空")
    @ApiModelProperty("商户网站唯一的退款订单号（确保在合作伙伴系统中唯一）")
    private String out_refund_no;
}
