package com.fzm.mall.midea.pay.params;

import lombok.Data;

/**
 * @author tangtuo
 * @date 2021/5/25 17:55
 */
@Data
public class TradeQueryParam extends BaseParam{

    /**
     * 合作商户网站唯一订单号（确保在合作伙伴系统中唯一）
     * 不可为空
     */
    private String out_trade_no;

    /**
     * 查询选项：
     * trade_settle_info:结算信息
     */
    private String query_options;

    /**
     * 收款方登录名
     */
    private String payee_login_name;
}
