package com.fzm.mall.pay.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

@Data
@Configuration
public class WeChatPayConfig {
    //应用ID
    @Value("${wechatpay.app-id}")
    private String appId;

    //商户号
    @Value("${wechatpay.mch-id}")
    private String mchId;

    //商户私钥
    @Value("${wechatpay.private-key}")
    private String privateKey;

    //商户证书序列号
    @Value("${wechatpay.mch-serial-no}")
    private String mchSerialNo;

    //API-V3秘钥
    @Value("${wechatpay.api-V3-key}")
    private String apiV3Key;

    //支付结果通知地址
    @Value("${wechatpay.notify_url}")
    private String notifyUrl;
}
