package com.fzm.mall.pay.controller;

import com.fzm.mall.pay.repo.ResponseFactory;
import com.fzm.mall.pay.repo.ResponseVO;
import io.swagger.annotations.Api;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.apache.http.client.methods.HttpPost;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author wangp
 * @date 2021/3/19 15:50
 * @description 微信支付APIv3
 * @since JDK 1.8
 */
@Api(tags = "微信支付APIv3")
@Slf4j
@RestController
@RequestMapping("/wechatpay")
@RequiredArgsConstructor(onConstructor = @__(@Autowired))
public class WeChatPayController {

    private final ResponseFactory resFac;

    public ResponseVO nativePay() {
        return null;
    }

}
