package com.fzm.mall.server.admin.auth_center.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.fzm.mall.server.admin.auth_center.entity.vo.AdminRoleVO;
import com.fzm.mall.server.admin.auth_center.model.AdminRole;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * @author wangp
 * @date 2021/4/8 13:41
 * @description 管理员角色 Mapper 接口
 * @since JDK 1.8
 */
@Mapper
public interface AdminRoleMapper extends BaseMapper<AdminRole> {

    IPage<AdminRoleVO> page(IPage<AdminRoleVO> page, String roleId, String roleName);

}
