package com.fzm.mall.server.admin.distribution.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * <p>
 * 物流中心-包裹中心
 * </p>
 *
 * @author wulixian
 * @since 2021-03-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
public class ParcelCenterGoodsDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 商品名称
     */
    @ApiModelProperty(value = "商品名称")
    private String name;

    /**
     * 规格数量
     */
    @ApiModelProperty(value = "规格数量")
    private Integer number;

    /**
     * 规格缩略图
     */
    @ApiModelProperty(value = "规格缩略图")
    private String thumb;

    /**
     * 单价
     */
    @ApiModelProperty(value = "单价")
    private BigDecimal amount;

    /**
     * 属性值
     */
    @ApiModelProperty(value = "属性集合")
    private List<String> propValList;
}
