package com.fzm.mall.server.admin.distribution.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author wulixian
 * @since 2021-04-06
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("dict_cn_province")
@ApiModel(value="DictCnProvince对象", description="")
public class DictCnProvince implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long code;

    private String name;

    private String areaName;

    private String prePinYin;

    private String pinYin;

    private String simplePinYin;

    private String lon;

    private String lat;

    private String wholeName;

    @ApiModelProperty(value = "所属区域(华东,华南,华中,华北,西南,西北,东北)")
    private String region;
}
