package com.fzm.mall.server.admin.distribution.service;

import com.fzm.mall.server.admin.distribution.model.Express;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.admin.order.model.Delivery;

import java.util.List;

/**
 * <p>
 * 物流中心-物流公司 服务类
 * </p>
 *
 * @author wulixian
 * @since 2021-04-15
 */
public interface IExpressService extends IService<Express> {

    List<Express> listAll(String expName);

    /**
     * 查询订单的详细物流信息
     * @param expressName 物流公司简称
     * @param expressNo     物流单号
     * @param phone         收货人手机号
     * @return
     */
    String readExpressDetail(Delivery delivery, String expressName, String expressNo, String phone);
}
