package com.fzm.mall.server.admin.finance_center.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.fzm.mall.server.admin.finance_center.entity.vo.MerchantAssetsFlowVO;
import com.fzm.mall.server.admin.finance_center.entity.vo.UserAssetsRecordVO;
import com.fzm.mall.server.admin.finance_center.model.UserAssetRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * @author wangp
 * @date 2021/4/27 10:44
 * @description 用户资产变更记录表 Mapper 接口
 * @since JDK 1.8
 */
@Mapper
public interface UserAssetRecordMapper extends BaseMapper<UserAssetRecord> {
    IPage<UserAssetsRecordVO> page(IPage<UserAssetsRecordVO> page, String flowId, String uid, String coin, Integer type);
}
