package com.fzm.mall.server.admin.finance_center.service;

import com.fzm.mall.server.admin.finance_center.entity.dto.PayModelDTO;
import com.fzm.mall.server.admin.finance_center.entity.vo.PayModeVO;
import com.fzm.mall.server.admin.finance_center.model.MerchantPayMode;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @author wangp
 * @date 2021/4/26 15:53
 * @description 服务类
 * @since JDK 1.8
 */
public interface IMerchantPayModeService extends IService<MerchantPayMode> {
    /**
     * @param dtos       收付款方式
     * @param merchantId 商户id
     */
    void add(List<PayModelDTO> dtos, String merchantId);

    /**
     * @param merchantId 商户id
     */
    List<PayModeVO> queryPayMode(String merchantId);
}
