package com.fzm.mall.server.admin.general_model.service;

import com.fzm.mall.server.admin.general_model.model.PlatformSetting;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 平台事件设置 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-08-17
 */
public interface IPlatformSettingService extends IService<PlatformSetting> {

    /**
     * 根据设置事件查询设置结果
     *
     * @param event 事件
     * @return
     */
    String queryByEvent(String event);

    /**
     * 商品配置-是否延迟提货
     *
     * @param delayDelivery 是否延后提货
     */
    void delayDelivery(String delayDelivery);
}
