package com.fzm.mall.server.admin.goods_center.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author wangp
 * @date 2021/3/15 14:17
 * @description 拍卖信息
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "AuctionDTO", description = "商品拍卖信息")
public class AuctionDTO {

    @ApiModelProperty("买家保证金")
    private BigDecimal buyerDeposit;

    @ApiModelProperty("出价最小增幅")
    private BigDecimal priceIncrease;

    @ApiModelProperty("结束时间")
    private Long endTime;
}
