package com.fzm.mall.server.admin.goods_center.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author wangp
 * @date 2021/8/30 14:39
 * @description NFT
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "nftDTO", description = "NFT")
public class NFTDTO {

    @ApiModelProperty("商品价格")
    private BigDecimal price;

    @ApiModelProperty("(1.内部发行 2.外部绑定)")
    private Integer tzType;

    @ApiModelProperty("NFT类型（1.单个，不可考贝 2.可拷贝）")
    private Integer type;

    @ApiModelProperty("发行数量：只有商户选择“可拷贝”时，才会出现")
    private Long number;

    @ApiModelProperty("绑定的外部通证id")
    private String tokenId;

}
