package com.fzm.mall.server.admin.goods_center.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 * @author wangp
 * @date 2021/3/15 11:31
 * @description 商品预售
 * @since JDK 1.8
 */
@Data
@ApiModel(value = "PreSaleDTO", description = "商品预售信息")
public class PreSaleDTO {

    @ApiModelProperty("预售开始时间")
    private Long saleStartTime;

    @ApiModelProperty("预售结束时间")
    private Long saleEndTime;

    @ApiModelProperty("预计提货开始时间")
    private Long drawStartTime;

    @ApiModelProperty("预计提货结束时间")
    private Long drawEndTime;

    @ApiModelProperty("首付比例")
    private BigDecimal deposit;

    @ApiModelProperty("首付比例类型 1.固定比例 2.固定金额")
    private Integer depositType;

}
