package com.fzm.mall.server.admin.goods_center.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 外部商品通证
 * </p>
 *
 * @author fzm
 * @since 2021-08-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value = "ExternalToken对象", description = "外部商品通证")
public class ExternalTokenVO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "商户通证地址")
    private String externalTokenAddr;

    @ApiModelProperty(value = "商户通证地址二维码")
    private String qrUrl;

}
