package com.fzm.mall.server.admin.goods_center.mapper;

import com.fzm.mall.server.admin.goods_center.model.CategorySpu;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 商品类别与商品对应表 Mapper 接口
 * </p>
 *
 * @author fzm
 * @since 2021-03-04
 */
@Mapper
public interface CategorySpuMapper extends BaseMapper<CategorySpu> {

    int selectGoodsOnShelves(@Param("categoryId") String categoryId);
}
