package com.fzm.mall.server.admin.goods_center.mapper;

import com.fzm.mall.server.admin.goods_center.entity.vo.SalesTopTenVO;
import com.fzm.mall.server.admin.goods_center.model.Count;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * 商品统计信息表 Mapper 接口
 * </p>
 *
 * @author fzm
 * @since 2021-04-02
 */
@Mapper
public interface CountMapper extends BaseMapper<Count> {

    List<SalesTopTenVO> salesTopTen(String merchantId);

}
