package com.fzm.mall.server.admin.goods_center.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fzm.mall.server.admin.goods_center.entity.dto.ExternalTokenTradeDTO;
import com.fzm.mall.server.admin.goods_center.model.ExternalTokenTrade;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 外部商品通证 Mapper 接口
 * </p>
 *
 * @author fzm
 * @since 2021-08-10
 */
@Mapper
public interface ExternalTokenTradeMapper extends BaseMapper<ExternalTokenTrade> {

    IPage<ExternalTokenTradeDTO> page(Page<ExternalTokenTradeDTO> page,
                                      @Param("commodityPassId") String commodityPassId,
                                      @Param("oppositeAddress") String oppositeAddress,
                                      @Param("tradeType") Integer tradeType,
                                      @Param("startTime") Long startTime,
                                      @Param("endTime") Long endTime);
}
