package com.fzm.mall.server.admin.goods_center.model;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.*;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author fzm
 * @since 2021-08-30
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("goods_package")
@ApiModel(value = "GoodsPackage对象", description = "")
public class GoodsPackage implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "商品编号")
    private String goodsId;

    @ApiModelProperty(value = "打包价格")
    private BigDecimal price;

    @ApiModelProperty(value = "打包资源---[{'skuId':xxx,'number':50},{'skuId':yyy,'number':30}]")
    private String resource;

    @ApiModelProperty(value = "发行数量：只有商户选择“可拷贝”时，才会出现")
    private Long stock;

    @ApiModelProperty(value = "销量")
    private Long sales;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
