package com.fzm.mall.server.admin.goods_center.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fzm.mall.server.admin.goods_center.entity.dto.ExternalTokenTradeDTO;
import com.fzm.mall.server.admin.goods_center.model.ExternalTokenTrade;
import com.baomidou.mybatisplus.extension.service.IService;

import java.math.BigDecimal;

/**
 * <p>
 * 外部商品通证 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-08-10
 */
public interface IExternalTokenTradeService extends IService<ExternalTokenTrade> {

    IPage<ExternalTokenTradeDTO> page(Page<ExternalTokenTradeDTO> page, String commodityPassId, String oppositeAddress,
                                      Integer tradeType, Long startTime, Long endTime);

    void addTrade(String commodityPassId, String address, BigDecimal amount);
}
