package com.fzm.mall.server.admin.home_page.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.fzm.mall.server.admin.home_page.entity.vo.AdminVO;
import com.fzm.mall.server.admin.home_page.model.Admin;
import io.swagger.models.auth.In;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

/**
 * @author wangp
 * @date 2021/2/26 16:06
 * @description 管理员Mapper 接口
 * @since JDK 1.8
 */
@Mapper
public interface AdminMapper extends BaseMapper<Admin> {

    IPage<AdminVO> page(IPage<AdminVO> page, String uid, String account, String loginAdminId, String merchantId);

    @Select("update admin set password=#{password} where account=#{account} and status=#{status}")
    void setPwd(String password,String account,Integer status);

}
