package com.fzm.mall.server.admin.home_page.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.fzm.mall.server.admin.goods_center.entity.vo.ExternalTokenVO;
import com.fzm.mall.server.admin.home_page.entity.vo.MerchantVO;
import com.fzm.mall.server.admin.home_page.model.Merchant;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;

/**
 * @author wangp
 * @date 2021/3/2 13:42
 * @description 商户Mapper 接口
 * @since JDK 1.8
 */
@Mapper
public interface MerchantMapper extends BaseMapper<Merchant> {

    IPage<MerchantVO> page(IPage<MerchantVO> page, String merchantId, String account, String linkMan, Integer type);

    ExternalTokenVO read(String merchantId);
}
