package com.fzm.mall.server.admin.marketing.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 商品促销与规格对应表
 * </p>
 *
 * @author wulixian
 * @since 2021-03-10
 */
@Data
@ApiModel(value="PromotionSku编辑对象", description="商品促销与规格对应表")
public class PromotionSkuUpdateDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "促销活动-商品规格对应关系编号", required = true)
    private String promotionSkuId;

    @ApiModelProperty(value = "商品编号", required = true)
    private String goodsId;

    @ApiModelProperty(value = "商品规格编号", required = true)
    private String skuId;

    @ApiModelProperty(value = "更新时间", required = true)
    private Long updateTime;

    @ApiModelProperty(value = "状态 0: 删除   1: 有效")
    private Integer status;
}
