package com.fzm.mall.server.admin.marketing.mapper;

import com.fzm.mall.server.admin.marketing.model.CouponSku;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 优惠券与商品规格对应表 Mapper 接口
 * </p>
 *
 * @author wulixian
 * @since 2021-04-19
 */
@Mapper
public interface CouponSkuMapper extends BaseMapper<CouponSku> {

    List<CouponSku> listSku(@Param("couponId") String couponId,
                            @Param("merchantId") String merchantId);

}
