package com.fzm.mall.server.admin.marketing.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.admin.marketing.entity.dto.PromotionDTO;
import com.fzm.mall.server.admin.marketing.entity.dto.PromotionSaveDTO;
import com.fzm.mall.server.admin.marketing.entity.dto.PromotionUpdateDTO;
import com.fzm.mall.server.admin.marketing.model.Promotion;

/**
 * <p>
 * 商品促销 服务类
 * </p>
 *
 * @author wulixian
 * @since 2021-03-10
 */
public interface IPromotionService extends IService<Promotion> {

    void save(PromotionSaveDTO promotionSaveDTO);

    void update(PromotionUpdateDTO promotionUpdateDTO);

    void delete(String promotionId, String merchantId);

    PromotionDTO read(String promotionId, String merchantId);

    IPage<PromotionDTO> page(Page<PromotionDTO> page, String promotionId, String name, Integer status, String merchantId);

}
