package com.fzm.mall.server.admin.message.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 消息中心-公告
 * </p>
 *
 * @author wulixian
 * @since 2021-03-09
 */
@Data
@ApiModel(value="Notice对象", description="消息中心-公告")
public class NoticeDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id")
    private Long id;

    @ApiModelProperty(value = "标题")
    private String title;

    @ApiModelProperty(value = "消息id")
    private String noticeId;

    @ApiModelProperty(value = "内容")
    private String content;

    @ApiModelProperty(value = "开始时间")
    private Long startTime;

    @ApiModelProperty(value = "结束时间")
    private Long endTime;

    @ApiModelProperty(value = "信息入库时间")
    private Long createTime;

    @ApiModelProperty(value = "信息更新时间")
    private Long updateTime;

    @ApiModelProperty(value = "是否有效，0—过期，1-有效")
    private Boolean validStatus;
}
