package com.fzm.mall.server.admin.message.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fzm.mall.server.admin.message.entity.dto.NoticeDTO;
import com.fzm.mall.server.admin.message.model.Notice;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 消息中心-公告 Mapper 接口
 * </p>
 *
 * @author wulixian
 * @since 2021-03-09
 */
@Mapper
public interface NoticeMapper extends BaseMapper<Notice> {

    IPage<NoticeDTO> page(Page<NoticeDTO> page,
                          @Param("content") String content,
                          @Param("merchantId") String merchantId,
                          @Param("platformMerchantId") String platformMerchantId);
}
