package com.fzm.mall.server.admin.order.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fzm.mall.server.admin.order.entity.dto.DeliveryDTO;
import com.fzm.mall.server.admin.order.model.Delivery;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 用户提货表 Mapper 接口
 * </p>
 *
 * @author wulixian
 * @since 2021-03-18
 */
@Mapper
public interface DeliveryMapper extends BaseMapper<Delivery> {

    IPage<DeliveryDTO> list(Page<DeliveryDTO> page,
                            @Param("uid") String uid,
                            @Param("orderDeliveryId") String orderDeliveryId,
                            @Param("gid") String gid,
                            @Param("deliveryState") Integer deliveryState,
                            @Param("merchantId") String merchantId);

    Delivery read(@Param("orderDeliveryId") String orderDeliveryId);
}
