package com.fzm.mall.server.admin.order.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fzm.mall.server.admin.distribution.entity.dto.ParcelCenterDTO;
import com.fzm.mall.server.admin.order.entity.dto.DeliveryDTO;
import com.fzm.mall.server.admin.order.model.Delivery;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 用户提货表 服务类
 * </p>
 *
 * @author wulixian
 * @since 2021-03-18
 */
public interface IDeliveryService extends IService<Delivery> {

    void send(String adminId, String orderDeliveryId, String expressType, String expressNo, Long updateTime);

    void examine(String adminId, String orderDeliveryId, String addressId, Boolean isApproved, String remark, Long updateTime);

    DeliveryDTO read(String orderDeliveryId);

    IPage<DeliveryDTO> page(Page<DeliveryDTO> page, String uid, String orderDeliveryId, String gid, Integer deliveryState, String merchantId);

    void returnReceiptExamine(String adminId, String orderDeliveryId, Boolean isApproved, String remark, Long updateTime);
}
