package com.fzm.mall.server.admin.order.service;

import com.fzm.mall.server.admin.order.model.Pay;
import com.baomidou.mybatisplus.extension.service.IService;

import java.math.BigDecimal;

/**
 * <p>
 * 支付订单结果表 服务类
 * </p>
 *
 * @author wulixian
 * @since 2021-04-29
 */
public interface IPayService extends IService<Pay> {

    /**
     * 订单协商“客服优惠价格”，支付订单支付“待支付金额”
     * @param oid
     * @param consultDiscountAmount
     */
    void consultDiscount(String oid, BigDecimal consultDiscountAmount);
}
