package com.fzm.mall.server.admin.shop.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fzm.mall.server.admin.shop.entity.dto.ShopDTO;
import com.fzm.mall.server.admin.shop.model.Shop;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 店铺中心-店铺 Mapper 接口
 * </p>
 *
 * @author wulixian
 * @since 2021-03-16
 */
@Mapper
public interface ShopMapper extends BaseMapper<Shop> {

    IPage<ShopDTO> page(Page<ShopDTO> page,
                        @Param("merchantId") String merchantId);
}
