package com.fzm.mall.server.admin.system.entity.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 系统中心-敏感词
 * </p>
 *
 * @author wulixian
 * @since 2021-03-29
 */
@Data
@ApiModel(value = "SysSensitiveWords对象", description = "系统中心-敏感词")
public class SysSensitiveWordsDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    private Integer id;

    @ApiModelProperty(value = "配置编号")
    private String sensitiveWordsId;

    @ApiModelProperty(value = "关键词")
    private String sensitiveWords;

    @ApiModelProperty(value = "备注说明")
    private String comm;

    @ApiModelProperty(value = "是否删除(0--否 1--是 )")
    private Boolean status;

    @ApiModelProperty(value = "信息入库时间")
    private Long createTime;

    @ApiModelProperty(value = "信息修改时间")
    private Long updateTime;
}
