package com.fzm.mall.server.admin.system.service;

import com.fzm.mall.server.admin.system.model.AdminLog;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @author wangp
 * @date 2021/3/1 14:33
 * @description 管理员操作日志服务类
 * @since JDK 1.8
 */
public interface IAdminLogService extends IService<AdminLog> {

    /**
     * 新增管理员操作日志
     *
     * @param adminId 管理员id
     * @param type    操作日志类别
     * @param detail  操作详情
     * @param note    备注
     */
    void add(String adminId, Integer type, String detail, String note);

}
