package com.fzm.mall.server.admin.user.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.admin.marketing.model.Coupon;
import com.fzm.mall.server.admin.user.model.UserCoupon;

import java.util.List;

/**
 * <p>
 * 用户与优惠券对应表 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-04-13
 */
public interface IUserCouponService extends IService<UserCoupon> {

    /**
     * 商品订单退款-用户已使用的优惠券还原
     */
    void restoreCoupon(String uid, List<Coupon> couponList);

}
