package com.fzm.mall.server.front.asset.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author fzm
 * @since 2021-09-08
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="TranPay对象", description="")
public class TranPay implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "支付记录表主键")
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "支付id")
    private String payId;

    @ApiModelProperty(value = "订单id")
    private String oid;

    @ApiModelProperty(value = "支付额")
    private BigDecimal amount;

    @ApiModelProperty(value = "0:待支付 1 已支付 2取消支付 3关闭支付")
    private Integer status;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;


}
