package com.fzm.mall.server.front.asset.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author tdz
 * @date 2021/02/22 11:26
 */
@Data
@ApiModel("商铺参数")
public class BusinessDTO {
    @ApiModelProperty("商铺名称")
    private String name;
    @ApiModelProperty("商铺联系人")
    private String contact;
    @ApiModelProperty("商铺手机号")
    private String phone;
    @ApiModelProperty("商铺联系地址")
    private String address;
    @ApiModelProperty("商品币前缀")
    private String prefix;
    @ApiModelProperty("身份证正面地址")
    private String front;
    @ApiModelProperty("身份证背面地址")
    private String back;
    @ApiModelProperty("执照地址")
    private String license;
    @ApiModelProperty("商铺头像")
    private String icon;
}
