package com.fzm.mall.server.front.asset.model.dto.coin;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * @author lyz
 * @mail lyz@disanbo.com
 * @create 2020/4/13 14:03
 * @description
 */

@Data
@Builder
@ApiModel("用户冻结资产DTO")
public class FrozenCoinDTO {

    @ApiModelProperty("用户ID")
    private String uid;
    @ApiModelProperty("是否是token，0:否 1:是")
    private Integer isToken;
    @ApiModelProperty("冻结资产名称")
    private String coin;
    @ApiModelProperty("区块链类型, 0:主链 1:平行链")
    private Integer block;
    @ApiModelProperty("冻结数量")
    private String amount;

}
