package com.fzm.mall.server.front.asset.model.dto.coin;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author lyz
 * @mail lyz@disanbo.com
 * @create 2020/4/13 14:19
 * @description
 */
@Data
@ApiModel("系统支持的结算货币")
public class SysSupportCoinDTO {

    @ApiModelProperty("货币名称")
    private String name;
    @ApiModelProperty("区块链类型, 0:主链  1:平行链")
    private Integer block;
    @ApiModelProperty("是否是token, 0: 否 1：是")
    private Integer isToken;
    @ApiModelProperty("状态，0: 无效, 1:有效")
    private Integer status;
}
