package com.fzm.mall.server.front.asset.model.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import javax.validation.constraints.NotNull;


/**
 * @author tdz
 * @date 2021/02/22 11:26
 */
@Data
@Component
@ConfigurationProperties(prefix = "block.interval")
public class IntervalProperties {
    @NotNull
    private String order = "900000";
    @NotNull
    private String delivery = "900000";
    @NotNull
    private String otc = "60000";
}
