package com.fzm.mall.server.front.asset.model.vo.coin;

import com.fzm.mall.server.front.asset.model.vo.coin.CoinVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @author tdz
 * @date 2021/02/22 11:26
 */

@Getter
@Setter
@ApiModel("用户充提币日志信息")
public class CoinLogVO extends CoinVO {
    @ApiModelProperty("编号")
    private String aid;
    @ApiModelProperty("用户编号")
    private String uid;
    @ApiModelProperty("类型，0->入币，1->出币")
    private Integer type;
    @ApiModelProperty("渠道途径编号")
    private Integer channelId;
    @ApiModelProperty("渠道途径")
    private String channelName;
    @ApiModelProperty("币种名字")
    private String name;
    @ApiModelProperty("充币：来源地址，出币：去处地址")
    private String address;
    @ApiModelProperty("数量")
    private String amount;
    @ApiModelProperty("是否成功，0->否，1->是")
    private Integer isActive;
    @ApiModelProperty("创建时间")
    private Long createTime;
}
