package com.fzm.mall.server.front.asset.model.vo.good;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author tdz
 * @date 2021/02/22 11:26
 */
@Data
@ApiModel("商品状态信息")
public class GoodStateVO {
    @ApiModelProperty("审核状态，0->待审核，1->通过，2->未通过")
    private Integer verifyState;
    @ApiModelProperty("区块链状态，0->待上链，1->通过，2->未通过")
    private Integer chainState;
    @ApiModelProperty("上架状态，0->未上架，1->上架")
    private Integer activeState;
    @ApiModelProperty("上架时间")
    private Long activeTime;
    @ApiModelProperty("删除状态，0->未删除，1->删除")
    private Integer deleteState;
    @ApiModelProperty("审核员编号")
    private String vid;
    @ApiModelProperty("审核时间")
    private Long vtime;
    @ApiModelProperty("是否可增发，0->不可，1->可以")
    private Integer category;
}
