package com.fzm.mall.server.front.asset.model.vo.order;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.bind.annotation.RequestParam;

@Data
public class OrderPageVo {
    @ApiModelProperty("提货状态，0->待发货，1->已发货，2->已收货，3->已撤销，4->待退货，5->已退货，6->交易结束；订单状态，1->交易成功，2->交易关闭，3->定金已付，4->待退款，5->已退款，6->支付中，7->待支付")
    private String orderState;
    @ApiModelProperty("评价状态，0->未评价，1->已评价，不传或传错->全部")
    private String assessState;
    @ApiModelProperty("关键字")
    private String searchKey;
    private String page;
    private String size;
}
