package com.fzm.mall.server.front.asset.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.front.asset.model.UserAssetTransferRecord;
import com.fzm.mall.server.front.asset.model.dto.UserAssetTransferRecordSaveDTO;
import com.fzm.mall.server.front.asset.model.vo.UserAssetTransferRecordVO;
import com.fzm.mall.server.front.asset.model.vo.UserAssetTransferVO;

/**
 * <p>
 * 用户资产-转赠 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-08-17
 */
public interface IUserAssetTransferRecordService extends IService<UserAssetTransferRecord> {

    void save(UserAssetTransferRecordSaveDTO saveDTO);

    UserAssetTransferRecordVO read(String transferRecordId);

    IPage<UserAssetTransferRecordVO> page(Page<UserAssetTransferRecordVO> page, String uid, String goodsId, String skuId);
}
