package com.fzm.mall.server.front.asset.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fzm.mall.server.front.asset.mapper.OrderPayMapper;
import com.fzm.mall.server.front.asset.model.OrderPay;
import com.fzm.mall.server.front.asset.service.IOrderPayService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 支付订单结果表 服务实现类
 * </p>
 *
 * @author fzm
 * @since 2021-02-08
 */
@Service
public class OrderPayServiceImpl extends ServiceImpl<OrderPayMapper, OrderPay> implements IOrderPayService {

    public OrderPay getByPayId(String pid) {
        QueryWrapper<OrderPay> qw = new QueryWrapper();
        qw.eq("pay_id", pid);
        return getOne(qw);
    }

}
