package com.fzm.mall.server.front.goods.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author fzm
 * @since 2021-04-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("goods_comment_append")
@ApiModel(value="CommentAppend对象", description="")
public class CommentAppend implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "追加评论id")
    private Long id;

    @ApiModelProperty(value = "评论id")
    private String commentId;

    @ApiModelProperty(value = "评价详情")
    private String content;

    @ApiModelProperty(value = "图片列表")
    private String imagesJson;

    @ApiModelProperty(value = "视频")
    private String video;

    @ApiModelProperty(value = "举报次数")
    private Integer tipOffNum;

    @ApiModelProperty(value = "是否可用（0：不可用，1：可用）")
    private Integer isValid;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Long createTime;

    @ApiModelProperty(value = "更新时间")
    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Long updateTime;

    private String replyContent;


}
