package com.fzm.mall.server.front.goods.model.vo;

import com.fzm.mall.server.front.goods.model.GoodSkuProp;
import com.fzm.mall.server.front.goods.model.SkuProp;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class CommentVo {

    private String userId;

    private BigDecimal price;

    private Integer number;

    private String goodsName;

    private  String goodsUrl;

    private String commentId;
    @ApiModelProperty(name = "头像")
    private String headUrl;
    @ApiModelProperty(name = "昵称")
    private String nickName;
    @ApiModelProperty(name = "sku_id")
    private String skuId;
    @ApiModelProperty(name = "商品评价：0：好评，1：中评，2：差评")
    private Integer evaluate;
    @ApiModelProperty(value = "评价详情")
    private String content;

    @ApiModelProperty(value = "图片列表")
    private String imagesJson;

    @ApiModelProperty(value = "视频")
    private String video;

    @ApiModelProperty(value = "店铺评价分")
    private BigDecimal businessEvaluate;

    @ApiModelProperty(value = "点赞数量")
    private Integer likeNum;

    @ApiModelProperty(value = "举报次数")
    private Integer tipOffNum;

    @ApiModelProperty(value = "浏览次数")
    private Integer views;

    @ApiModelProperty(value = "是否追评过，0：否，1：是")
    private Integer isAppend;

    @ApiModelProperty(value = "规格")
    private List<SkuProp> list;

    private Integer anonymous;

    private Long createTime;

    @ApiModelProperty(value = "商家回复")
    private String replyContent;

    @ApiModelProperty(value = "商家回复时间")
    private Long updateTime;

    private String merchantId;

    private String goodsId;
}
