package com.fzm.mall.server.front.goods.model.vo;

import com.fzm.mall.server.front.goods.model.MarketingCouponCategory;
import com.fzm.mall.server.front.goods.model.MarketingCouponSku;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

@Data
public class CouponVo {

    private String couponId;

    private Integer type;

    private String name;

    private String remark;

    private Integer scope;

    private BigDecimal conditionVal;

    private BigDecimal couponVal;

    private Long circulation;

    private Long amt;

    private Long startTime;

    private Long endTime;

    private Integer status;

    private Integer rangeType;

    private String merchantId;

    private String createTime;

    private String updateTime;

    private List<MarketingCouponSku> marketingCouponSkus;

    private List<MarketingCouponCategory> marketingCouponCategories;

    private List<String> skuIds;
}
