package com.fzm.mall.server.front.goods.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@ApiModel(value="秒杀商品", description="")
@Data
public class GoodsFlashVo {

    @ApiModelProperty(value = "秒杀开始时间")
    private Long saleStartTime;

    @ApiModelProperty(value = "秒杀结束时间")
    private Long saleEndTime;

    @ApiModelProperty(value = "商户号 为空则为平台秒杀")
    private String merchantId;

    @ApiModelProperty(value = "商品id")
    private String goodsId;

    @ApiModelProperty(value = "商品名称")
    private String name;

    @ApiModelProperty(value = "商品缩略图")
    private String thumb;

    @ApiModelProperty(value = "折扣")
    private BigDecimal sale;

    @ApiModelProperty(value = "默认原价（最低规格的价格）")
    private BigDecimal defaultPrice;

}
