package com.fzm.mall.server.front.goods.service;

import com.fzm.mall.server.front.goods.model.DistributionTemplate;
import com.baomidou.mybatisplus.extension.service.IService;

import java.math.BigDecimal;

/**
 * <p>
 * 物流中心-运费模板 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-03-19
 */
public interface IDistributionTemplateService extends IService<DistributionTemplate> {


    DistributionTemplate getTemplateId(String templateId);


    BigDecimal getPrice(String templateId, String province, BigDecimal bigDecimal, Integer integer, BigDecimal bigDecimal1);

    DistributionTemplate getByMerchantId(String merchantId);
}
