package com.fzm.mall.server.front.goods.service;

import com.fzm.mall.server.front.goods.model.Hot;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fzm.mall.server.front.goods.model.vo.PageVo;
import com.fzm.mall.server.front.goods.model.vo.SaleHotVo;

import java.util.List;

/**
 * <p>
 * 热推好货 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-03-04
 */
public interface IHotService extends IService<Hot> {

    List<SaleHotVo> getList(PageVo pageVo);

    int getCount();
}
