package com.fzm.mall.server.front.goods.service.impl;

import com.fzm.mall.server.front.goods.model.Comment;
import com.fzm.mall.server.front.goods.mapper.CommentMapper;
import com.fzm.mall.server.front.goods.service.ICommentService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;

/**
 * <p>
 * 商品评论表（用于对商品的评论） 服务实现类
 * </p>
 *
 * @author fzm
 * @since 2021-04-27
 */
@Service
public class CommentServiceImpl extends ServiceImpl<CommentMapper, Comment> implements ICommentService {

    @Autowired
    private CommentMapper commentMapper;
    @Override
    public BigDecimal getEvaluate(String merchantId) {
        return commentMapper.getEvaluate(merchantId);
    }
}
