package com.fzm.mall.server.front.goods.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.fzm.mall.server.front.goods.model.OprationFloor;
import com.fzm.mall.server.front.goods.mapper.OprationFloorMapper;
import com.fzm.mall.server.front.goods.service.IOprationFloorService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 运营中心-首页楼层 服务实现类
 * </p>
 *
 * @author fzm
 * @since 2021-04-02
 */
@Service
public class OprationFloorServiceImpl extends ServiceImpl<OprationFloorMapper, OprationFloor> implements IOprationFloorService {

    @Override
    public List<OprationFloor> getFloor() {
        QueryWrapper<OprationFloor> query = new QueryWrapper<>();
        query.orderByAsc("display_order");
        return list(query);
    }
}
