package com.fzm.mall.server.front.goods.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.fzm.mall.server.front.goods.model.SkuProp;
import com.fzm.mall.server.front.goods.mapper.SkuPropMapper;
import com.fzm.mall.server.front.goods.service.ISkuPropService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 商品规格属性 服务实现类
 * </p>
 *
 * @author fzm
 * @since 2021-03-10
 */
@Service
public class SkuPropServiceImpl extends ServiceImpl<SkuPropMapper, SkuProp> implements ISkuPropService {

    @Override
    public List<SkuProp> getBySkuId(String skuId) {
        QueryWrapper<SkuProp> query = new QueryWrapper<>();
        query.eq("sku_id",skuId);
        return list(query);
    }
}
