package com.fzm.mall.server.front.order.mapper;

import com.fzm.mall.server.front.order.model.Refund;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

/**
 * <p>
 * 订单退款表 Mapper 接口
 * </p>
 *
 * @author fzm
 * @since 2021-04-27
 */
public interface RefundMapper extends BaseMapper<Refund> {
    @Update("update order_refund set return_state = 4,return_update_time = #{time} where oid = #{oid} and return_state = 1")
    void revokeReturn(@Param("oid") String oid, @Param("time") Long time);
}
