package com.fzm.mall.server.front.order.model.po;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class PayRestVO {

    private String pid;

    private String payPassword;

    private String verificationCode;

    @ApiModelProperty(value = "是否直接提货，0->否，1->是")
    private Integer delivery;

    @ApiModelProperty(value = "收货人名称")
    private String uname;

    @ApiModelProperty(value = "收人手机号")
    private String phone;

    @ApiModelProperty(value = "提货地址")
    private String address;

    @ApiModelProperty(value = "省份名字或直辖市")
    private String province;

    //优惠券
    private List<String> goodsIdCouponId;
}
