package com.fzm.mall.server.front.order.model.vo;

import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class ComplaintVo {



    @ApiModelProperty(value = "关联订单编号")
    private String orderId;

    @ApiModelProperty(value = "关联订单类型(1->商品订单;2->提货订单)")
    private Integer orderType;

    @ApiModelProperty(value = "投诉描述")
    private String description;


    @ApiModelProperty(value = "备注")
    private String remark;

    @ApiModelProperty(value = "附件")
    private JSONArray attachments;


}
