package com.fzm.mall.server.front.order.service;

import com.fzm.mall.server.front.order.model.Deposit;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 用户拍卖保证金记录表 服务类
 * </p>
 *
 * @author fzm
 * @since 2021-09-02
 */
public interface IDepositService extends IService<Deposit> {
    Deposit getDepositByUid(String uid, String auctionId);

    List<Deposit> getDepositByUidAndStatus(String uid, String status);
}
