package com.fzm.mall.server.front.user.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.fzm.mall.server.front.user.model.MarketingMemberIntegralRecurrence;
import com.fzm.mall.server.front.user.mapper.MarketingMemberIntegralRecurrenceMapper;
import com.fzm.mall.server.front.user.service.IMarketingMemberIntegralRecurrenceService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 运营中心-积分返现 服务实现类
 * </p>
 *
 * @author fzm
 * @since 2021-06-04
 */
@Service
public class MarketingMemberIntegralRecurrenceServiceImpl extends ServiceImpl<MarketingMemberIntegralRecurrenceMapper, MarketingMemberIntegralRecurrence> implements IMarketingMemberIntegralRecurrenceService {

    @Override
    public MarketingMemberIntegralRecurrence getByLevel(int i) {
        QueryWrapper<MarketingMemberIntegralRecurrence> q = new QueryWrapper<>();
        q.eq("level",i);
        return getOne(q);
    }
}
