package com.fzm.mall.server.front.user.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.fzm.mall.server.front.user.model.Member;
import com.fzm.mall.server.front.user.mapper.MemberMapper;
import com.fzm.mall.server.front.user.service.IMemberService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 用户会员信息表 服务实现类
 * </p>
 *
 * @author fzm
 * @since 2021-06-04
 */
@Service
public class MemberServiceImpl extends ServiceImpl<MemberMapper, Member> implements IMemberService {

    @Override
    public Member getByUid(String uid) {
        QueryWrapper<Member>  q = new QueryWrapper<>();
        q.eq("uid",uid);
        return getOne(q);
    }
}
